rpmBuildArguments_s Struct Reference
Building & signing packages: » Build API.

Describe build request. More...

`#include <rpmbuild.h>`

## Data Fields

rpmBuildPkgFlags | pkgFlags
rpmBuildFlags | buildAmount
char * | buildRootOverride
char * | cookie
const char * | rootdir

## Detailed Description

Describe build request.

Definition at line 62 of file rpmbuild.h.

## Field Documentation

## buildAmount

rpmBuildFlags rpmBuildArguments_s::buildAmount

Bit(s) to control build execution.

Definition at line 64 of file rpmbuild.h.

## buildRootOverride

char* rpmBuildArguments_s::buildRootOverride

from –buildroot

Definition at line 65 of file rpmbuild.h.

## cookie

char* rpmBuildArguments_s::cookie

NULL for binary, ??? for source, rpm's

Definition at line 66 of file rpmbuild.h.

## pkgFlags

rpmBuildPkgFlags rpmBuildArguments_s::pkgFlags

Bit(s) to control package generation.

Definition at line 63 of file rpmbuild.h.

## rootdir

const char* rpmBuildArguments_s::rootdir

Definition at line 67 of file rpmbuild.h.

The documentation for this struct was generated from the following file:

- rpmbuild.h